<?php

header("Access-Control-Allow-Origin: *");
date_default_timezone_set('America/Sao_Paulo');
session_start();

//Carrega framework
include('../cms/loader.php');
include('./inc.telegram.php');
?>

<!doctype html>
<html>
<head>
  <meta charset="utf-8"/>
  <title>Documento sem título</title>

  <!-- Latest compiled and minified CSS -->
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">

<!-- Optional theme -->
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap-theme.min.css" integrity="sha384-rHyoN1iRsVXV4nD0JutlnGaslCJuC7uwjduW9SVrLvRYooPp2bWYgmgJQIXwl/Sp" crossorigin="anonymous">

<!-- Latest compiled and minified JavaScript -->
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>

  <!-- Controle de acesso pelo Mobile -->
  <meta name="viewport" content="width=device-width, initial-scale=1"/>

  <style>
   

    textarea{
        height: 150px!important;
    }
    .row{
        margin-top :25px;
        margin-bottom :25px;
    }
  </style>
</head>

<body>    



    <div class="container">

        <div class="row">
            <div class="col-md-12">
                <h1>Criar conta de Teste</h1>
                <p>Ferramenta que importa conta de teste no sistema.</p>
            </div>
        </div>
        <form action="#" method="post">
        <?php

        if(!empty($_POST['senha'])){
            $_SESSION['senha'] = $_POST['senha'];
        }

        if(@$_SESSION['senha'] != 'nwtiago'){
        ?>
        
        
            <div class="row">

                <div class="col-md-4">
                    <input type="text" class="form-control" name="senha" class="form-control" placeholder="Senha" required />
                </div>
                <div class="col-md-4">
                    <button class="btn btn-success">Entrar</button>
                </div>

            </div>
       
        <?
        } else if(empty($_POST['import'])) {
        ?>
        
        <div class="row">
            <div class="col-md-4">
                <input type="text" name="nome" class="form-control" placeholder="Nome" required />
            </div>
        
            <div class="col-md-4">
                <input type="email" name="email" class="form-control" placeholder="E-mail" />
            </div>

            <div class="col-md-4">
                <input type="phone" name="whats" class="form-control" placeholder="WhatsApp" required />
            </div>
        </div>


        <div class="row">
            <div class="col-md-12">
                <textarea class="form-control" name="import" class="form-control" placeholder="Inscrição" required></textarea>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12">
                <button class="btn btn-success">Cadastrar Teste</button>
            </div>
        </div>

        <?
        } else {

            $nome = $_POST['nome'];
            $nomes = explode(' ', $nome);

            $pnome = array_shift($nomes);
            $snome = implode(' ', $nomes);

            $imp = importar($_POST['import']);

            //cadastra cliente
            $post = new nbrTablePost();
            $post->table = 'clientes';
            $post->AddFieldString('Nome', $pnome);
            $post->AddFieldString('SobreNome', $snome);
            $post->AddFieldString('Email', $_POST['email']);
            $post->AddFieldString('WhatsApp', $_POST['whats']);
            $post->AddFieldDateTimeNow('DataCadastro');
            $post->AddFieldDateTime('ProximoVencimento', preparaData($imp['Data de validade']));
            $post->AddFieldInteger('Conexoes', $imp['Máximo de conexões']);
            $post->AddFieldString('login', $imp['Usuário']);
            $post->AddFieldString('senha', $imp['Senha']);
            $post->AddFieldBoolean('Testando', true);
            //echo $post->getSql();
            $post->Execute();

            $cliente_id = $post->id;

            //cadastra fatura (TESTE)
            $post = new nbrTablePost();
            $post->table = 'faturas';
            $post->AddFieldInteger('Cliente', $cliente_id);
            $post->AddFieldString('Situacao', 'TS');
            $post->AddFieldDateTimeNow('DataCadastro');
            $post->AddFieldDateTime('ProximoVencimento', preparaData($imp['Data de validade']));
            $post->AddFieldString('IMPORT', $_POST['import']);
            $post->AddFieldInteger('Conexoes', $imp['Máximo de conexões']);
            //echo $post->getSql();
            $post->Execute();

            //print_r($imp);exit;


            $msg_whats = '*Conta de Teste Ativada!* 🎉 
            
Sua conta foi ativada com sucesso e agora você já pode desfrutar de todo o catálogo da *Ilimitada TV* 📺🍿🎥.

Confira abaixo os dados para você acessar a sua conta:

👥 *Usuário:* ' . $imp['Usuário'] . '
🔐 *Senha:* ' .  $imp['Senha'] . '

✳️ Lembre-se de adicionar o nosso WhatsApp na sua agenda, para receber todas as novidades do catálogo.

Seu teste expirará em:
🗓️ *' . $imp['Data de validade'] . '* (tem duração de 2 horas)


*[URLS DE CONFIGURAÇÃO]*

URL de M3U:
➡️ http://tv.minhalista.me/get.php?username=' . $imp['Usuário'] . '&password=' .  $imp['Senha'] . '&type=m3u_plus&output=ts

URL de EPG:
➡️ http://meuepg.com/meuepg.xml';

            $link_whats = 'http://sistema.ilimitadatv.com/whats.php?num=' . get_whats($_POST['whats']) . '&msg=' . urlencode(base64_encode($msg_whats));
            
            ?>
            <div class="row">
                <div class="col-md-12">
                    <div class="alert alert-success">
                        <strong>Criado!</strong> Conta de teste criada com sucesso.
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <a href="<?= $link_whats; ?>" class="btn btn-success">Enviar para Whats do cliente</a>
                </div>
            </div>
        </div>
            <?
        }
        ?>
        </form>

    </div>



</body>
</html>